

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>reStructuredText &mdash; sphinxDoc 0.0.1 documentation</title>
  

  
  
  
  

  

  
  
    

  

  <link rel="stylesheet" href="../_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="prev" title="Render PDF from RST" href="../sphinxTut/render_pdf.html" /> 

  
  <script src="../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../index.html" class="icon icon-home"> sphinxDoc
          

          
          </a>

          
            
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../sphinxTut/index.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../sphinxTut/getting_started.html">Getting Started</a></li>
<li class="toctree-l1"><a class="reference internal" href="../sphinxTut/render_pdf.html">Render PDF from RST</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">reStructuredText</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#inline-markup">Inline Markup</a></li>
<li class="toctree-l2"><a class="reference internal" href="#headings">Headings</a></li>
<li class="toctree-l2"><a class="reference internal" href="#colored-boxes">Colored Boxes</a></li>
<li class="toctree-l2"><a class="reference internal" href="#lists-and-quote-like-blocks">Lists and Quote-like blocks</a></li>
<li class="toctree-l2"><a class="reference internal" href="#term">Term</a></li>
<li class="toctree-l2"><a class="reference internal" href="#directives">Directives</a></li>
<li class="toctree-l2"><a class="reference internal" href="#code-and-literal-blocks">Code and Literal Blocks</a></li>
<li class="toctree-l2"><a class="reference internal" href="#table-example">Table Example</a></li>
<li class="toctree-l2"><a class="reference internal" href="#hyperlinks">Hyperlinks</a></li>
</ul>
</li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../index.html">sphinxDoc</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../index.html">Docs</a> &raquo;</li>
        
      <li>reStructuredText</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../_sources/restructured/index.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="restructuredtext">
<h1>reStructuredText<a class="headerlink" href="#restructuredtext" title="Permalink to this headline">¶</a></h1>
<div class="section" id="inline-markup">
<h2>Inline Markup<a class="headerlink" href="#inline-markup" title="Permalink to this headline">¶</a></h2>
<div class="sidebar">
<p class="first sidebar-title">Result</p>
<ul class="last simple">
<li><em>text</em></li>
<li><strong>text</strong></li>
<li><code class="docutils literal notranslate"><span class="pre">text</span></code></li>
<li>thisis<em>one</em>word</li>
<li><a class="reference external" href="http://www.sphinx-doc.org">sphinx</a></li>
</ul>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>*text*   : italics
**text** : boldface
``text`` : code samples/blocks, verbatim mode - used as the escaping character
|        : vertical bar &#39;|&#39; for line break
thisis\ *one*\ word : use of backslash to intreprete a single word in different formats
`sphinx &lt;http://www.sphinx-doc.org&gt;`_ : create links to internal or external web pages
</pre></div>
</div>
<div class="line-block">
<div class="line"><br /></div>
</div>
</div>
<div class="section" id="headings">
<h2>Headings<a class="headerlink" href="#headings" title="Permalink to this headline">¶</a></h2>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span># with overline, for parts
* with overline, for chapters
=, for sections
-, for subsections
^, for subsubsections
“, for paragraphs
</pre></div>
</div>
</div>
<div class="section" id="colored-boxes">
<h2>Colored Boxes<a class="headerlink" href="#colored-boxes" title="Permalink to this headline">¶</a></h2>
<p>[ note, seealso, todo and warnings]</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="n">note</span><span class="p">::</span>  <span class="n">This</span> <span class="ow">is</span> <span class="n">a</span> <span class="o">**</span><span class="n">note</span><span class="o">**</span> <span class="n">box</span><span class="o">.</span>
</pre></div>
</div>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">This is a <strong>note</strong> box.</p>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="n">seealso</span><span class="p">::</span> <span class="n">This</span> <span class="ow">is</span> <span class="n">a</span> <span class="n">simple</span> <span class="o">**</span><span class="n">seealso</span><span class="o">**</span> <span class="n">note</span><span class="o">.</span>
</pre></div>
</div>
<div class="admonition seealso">
<p class="first admonition-title">See also</p>
<p class="last">This is a simple <strong>seealso</strong> note.</p>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="n">warning</span><span class="p">::</span> <span class="n">note</span> <span class="n">the</span> <span class="n">space</span> <span class="n">between</span> <span class="n">the</span> <span class="n">directive</span> <span class="ow">and</span> <span class="n">the</span> <span class="n">text</span>
</pre></div>
</div>
<div class="admonition warning">
<p class="first admonition-title">Warning</p>
<p class="last">note the space between the directive and the text</p>
</div>
</div>
<div class="section" id="lists-and-quote-like-blocks">
<h2>Lists and Quote-like blocks<a class="headerlink" href="#lists-and-quote-like-blocks" title="Permalink to this headline">¶</a></h2>
<div class="sidebar">
<p class="first sidebar-title">Result</p>
<ul class="simple">
<li>List 1</li>
<li>List 2</li>
</ul>
<ol class="arabic simple">
<li>List 1</li>
<li>List 2</li>
<li>List 1</li>
<li>List 2</li>
</ol>
<ul class="last simple">
<li>this is</li>
<li>a list<ul>
<li>with a nested list</li>
<li>and some subitems</li>
</ul>
</li>
<li>and here the parent list continues</li>
</ul>
</div>
<p>Bullet List(* ), Numbered List(numbers or #. )</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">*</span> <span class="n">List</span> <span class="mi">1</span>
<span class="o">*</span> <span class="n">List</span> <span class="mi">2</span>

<span class="mf">1.</span> <span class="n">List</span> <span class="mi">1</span>
<span class="mf">2.</span> <span class="n">List</span> <span class="mi">2</span>

<span class="c1">#. List 1</span>
<span class="c1">#. List 2</span>
</pre></div>
</div>
<p>Nested lists: separated from the parent list items by blank lines</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">*</span> <span class="n">this</span> <span class="ow">is</span>
<span class="o">*</span> <span class="n">a</span> <span class="nb">list</span>

    <span class="o">*</span> <span class="k">with</span> <span class="n">a</span> <span class="n">nested</span> <span class="nb">list</span>
    <span class="o">*</span> <span class="ow">and</span> <span class="n">some</span> <span class="n">subitems</span>

<span class="o">*</span> <span class="ow">and</span> <span class="n">here</span> <span class="n">the</span> <span class="n">parent</span> <span class="nb">list</span> <span class="n">continues</span>
</pre></div>
</div>
<div class="sidebar">
<p class="first sidebar-title">Result</p>
<dl class="last docutils">
<dt>term 1</dt>
<dd>Definition 1.</dd>
<dt>term 2</dt>
<dd><p class="first">Definition 2, paragraph 1.</p>
<p class="last">Definition 2, paragraph 2.</p>
</dd>
<dt>term 3 <span class="classifier-delimiter">:</span> <span class="classifier">classifier</span></dt>
<dd>Definition 3.</dd>
<dt>term 4 <span class="classifier-delimiter">:</span> <span class="classifier">classifier one</span> <span class="classifier-delimiter">:</span> <span class="classifier">classifier two</span></dt>
<dd>Definition 4</dd>
</dl>
</div>
</div>
<div class="section" id="term">
<h2>Term<a class="headerlink" href="#term" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li>one-line word or phrase,</li>
<li>multiple paragraphs,</li>
<li>no blank line between a term line and a definition block</li>
</ul>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="n">term</span> <span class="mi">1</span>
 <span class="n">Definition</span> <span class="mf">1.</span>

<span class="n">term</span> <span class="mi">2</span>
    <span class="n">Definition</span> <span class="mi">2</span><span class="p">,</span> <span class="n">paragraph</span> <span class="mf">1.</span>

    <span class="n">Definition</span> <span class="mi">2</span><span class="p">,</span> <span class="n">paragraph</span> <span class="mf">2.</span>

<span class="n">term</span> <span class="mi">3</span> <span class="p">:</span> <span class="n">classifier</span>
    <span class="n">Definition</span> <span class="mf">3.</span>

<span class="n">term</span> <span class="mi">4</span> <span class="p">:</span> <span class="n">classifier</span> <span class="n">one</span> <span class="p">:</span> <span class="n">classifier</span> <span class="n">two</span>
    <span class="n">Definition</span> <span class="mi">4</span>
</pre></div>
</div>
<div class="line-block">
<div class="line"><br /></div>
</div>
</div>
<div class="section" id="directives">
<h2>Directives<a class="headerlink" href="#directives" title="Permalink to this headline">¶</a></h2>
<p>A reST directive is like a function – a powerful construct of the reST syntax used to include formatted text,
and it accepts:</p>
<ul class="simple">
<li>arguments</li>
<li>options</li>
<li>body</li>
</ul>
<div class="sidebar">
<p class="first sidebar-title">Code Block Example</p>
<div class="last highlight-html notranslate"><table class="highlighttable"><tr><td class="linenos"><div class="linenodiv"><pre>1</pre></div></td><td class="code"><div class="highlight"><pre><span></span><span class="p">&lt;</span><span class="nt">h1</span><span class="p">&gt;</span>Code Block<span class="p">&lt;/</span><span class="nt">h1</span><span class="p">&gt;</span>
</pre></div>
</td></tr></table></div>
</div>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="n">code</span><span class="o">-</span><span class="n">block</span><span class="p">::</span> <span class="n">html</span>
   <span class="p">:</span><span class="n">linenos</span><span class="p">:</span>

   <span class="o">&lt;</span><span class="n">h1</span><span class="o">&gt;</span><span class="n">Code</span> <span class="n">Block</span><span class="o">&lt;/</span><span class="n">h1</span><span class="o">&gt;</span>
</pre></div>
</div>
<p>code-block directive: html <em>(argument)</em>, linenos <em>(option)</em>
toctree directive: maxdepth <em>(option - indicating maximum number of levels in a single menu)</em></p>
</div>
<div class="section" id="code-and-literal-blocks">
<h2>Code and Literal Blocks<a class="headerlink" href="#code-and-literal-blocks" title="Permalink to this headline">¶</a></h2>
<p>ending a paragraph with the special marker <strong>::</strong></p>
<ul class="simple">
<li>preceded by whitespace -&gt; marker is removed</li>
<li>preceded by non-whitespace -&gt; marker is replaced by a single colon</li>
<li>if continued with a same paragraph without a blank line, it is completely left out of the document</li>
</ul>
</div>
<div class="section" id="table-example">
<h2>Table Example<a class="headerlink" href="#table-example" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li>grid, simple, csv, list-table syntax</li>
<li>tabularcolumns directive (column spec - to determine column width (default is left-aligned)</li>
</ul>
<div class="sidebar">
<p class="first sidebar-title">Example 1</p>
<table border="1" class="last docutils" id="making-a-table">
<colgroup>
<col width="60%" />
<col width="40%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Name</th>
<th class="head">Age</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>John D Hunter</td>
<td>40</td>
</tr>
<tr class="row-odd"><td>Cast of Thousands</td>
<td>41</td>
</tr>
<tr class="row-even"><td>And Still More</td>
<td>42</td>
</tr>
</tbody>
</table>
</div>
<p><strong>Example 1</strong>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">==================</span>   <span class="o">============</span>
<span class="n">Name</span>                 <span class="n">Age</span>
<span class="o">==================</span>   <span class="o">============</span>
<span class="n">John</span> <span class="n">D</span> <span class="n">Hunter</span>        <span class="mi">40</span>
<span class="n">Cast</span> <span class="n">of</span> <span class="n">Thousands</span>    <span class="mi">41</span>
<span class="n">And</span> <span class="n">Still</span> <span class="n">More</span>       <span class="mi">42</span>
<span class="o">==================</span>   <span class="o">============</span>
</pre></div>
</div>
<div class="line-block">
<div class="line"><br /></div>
<div class="line"><br /></div>
</div>
<p><strong>Example 2</strong>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">+------------+------------+-----------+</span>
<span class="o">|</span> <span class="n">Header</span> <span class="mi">1</span>   <span class="o">|</span> <span class="n">Header</span> <span class="mi">2</span>   <span class="o">|</span> <span class="n">Header</span> <span class="mi">3</span>  <span class="o">|</span>
<span class="o">+============+============+===========+</span>
<span class="o">|</span> <span class="n">body</span> <span class="n">row</span> <span class="mi">1</span> <span class="o">|</span> <span class="n">column</span> <span class="mi">2</span>   <span class="o">|</span> <span class="n">column</span> <span class="mi">3</span>  <span class="o">|</span>
<span class="o">+------------+------------+-----------+</span>
<span class="o">|</span> <span class="n">body</span> <span class="n">row</span> <span class="mi">2</span> <span class="o">|</span> <span class="n">Cells</span> <span class="n">may</span> <span class="n">span</span> <span class="n">columns</span><span class="o">.|</span>
<span class="o">+------------+------------+-----------+</span>
<span class="o">|</span> <span class="n">body</span> <span class="n">row</span> <span class="mi">3</span> <span class="o">|</span> <span class="n">Cells</span> <span class="n">may</span>  <span class="o">|</span> <span class="o">-</span> <span class="n">Cells</span>   <span class="o">|</span>
<span class="o">+------------+</span> <span class="n">span</span> <span class="n">rows</span><span class="o">.</span> <span class="o">|</span> <span class="o">-</span> <span class="n">contain</span> <span class="o">|</span>
<span class="o">|</span> <span class="n">body</span> <span class="n">row</span> <span class="mi">4</span> <span class="o">|</span>            <span class="o">|</span> <span class="o">-</span> <span class="n">blocks</span><span class="o">.</span> <span class="o">|</span>
<span class="o">+------------+------------+-----------+</span>
</pre></div>
</div>
<table border="1" class="docutils">
<colgroup>
<col width="34%" />
<col width="34%" />
<col width="31%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Header 1</th>
<th class="head">Header 2</th>
<th class="head">Header 3</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>body row 1</td>
<td>column 2</td>
<td>column 3</td>
</tr>
<tr class="row-odd"><td>body row 2</td>
<td colspan="2">Cells may span columns.</td>
</tr>
<tr class="row-even"><td>body row 3</td>
<td rowspan="2">Cells may
span rows.</td>
<td rowspan="2"><ul class="first last simple">
<li>Cells</li>
<li>contain</li>
<li>blocks.</li>
</ul>
</td>
</tr>
<tr class="row-odd"><td>body row 4</td>
</tr>
</tbody>
</table>
<div class="sidebar">
<p class="first sidebar-title">Example 3</p>
<table border="1" class="last docutils">
<colgroup>
<col width="50%" />
<col width="11%" />
<col width="39%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td>simple text</td>
<td>2</td>
<td>3</td>
</tr>
</tbody>
</table>
</div>
<p><strong>Example 3</strong>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="n">tabularcolumns</span><span class="p">::</span> <span class="o">|</span><span class="n">l</span><span class="o">|</span><span class="n">c</span><span class="o">|</span><span class="n">p</span><span class="p">{</span><span class="mi">5</span><span class="n">cm</span><span class="p">}</span><span class="o">|</span>

<span class="o">+--------------+---+-----------+</span>
<span class="o">|</span><span class="n">simple</span> <span class="n">text</span>   <span class="o">|</span> <span class="mi">2</span> <span class="o">|</span> <span class="mi">3</span>         <span class="o">|</span>
<span class="o">+--------------+---+-----------+</span>
</pre></div>
</div>
<p><strong>Example 4</strong></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="o">|</span><span class="n">insta</span><span class="o">|</span> <span class="n">image</span><span class="p">::</span> <span class="o">../</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">image</span>
       <span class="p">:</span><span class="n">width</span><span class="p">:</span> <span class="mi">50</span><span class="n">pt</span>
       <span class="p">:</span><span class="n">height</span><span class="p">:</span> <span class="mi">30</span><span class="n">pt</span>

<span class="o">..</span> <span class="o">|</span><span class="n">twit</span><span class="o">|</span> <span class="n">image</span><span class="p">::</span> <span class="o">../</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">image</span>
       <span class="p">:</span><span class="n">width</span><span class="p">:</span> <span class="mi">30</span><span class="n">pt</span>
       <span class="p">:</span><span class="n">height</span><span class="p">:</span> <span class="mi">30</span><span class="n">pt</span>

<span class="o">+---------------------+----------------+</span>
<span class="o">|</span>  <span class="o">|</span><span class="n">insta</span><span class="o">|</span>            <span class="o">|</span>   <span class="o">|</span><span class="n">twit</span><span class="o">|</span>       <span class="o">|</span>
<span class="o">+---------------------+----------------+</span>
</pre></div>
</div>
<table border="1" class="docutils">
<colgroup>
<col width="57%" />
<col width="43%" />
</colgroup>
<tbody valign="top">
<tr class="row-odd"><td><a class="reference internal" href="../_images/image4.jpg"><img alt="insta" src="../_images/image4.jpg" style="width: 50pt; height: 30pt;" /></a></td>
<td><a class="reference internal" href="../_images/image5.jpg"><img alt="twit" src="../_images/image5.jpg" style="width: 30pt; height: 30pt;" /></a></td>
</tr>
</tbody>
</table>
<div class="sidebar">
<p class="first sidebar-title">CSV Example</p>
<table border="1" class="colwidths-given last docutils" id="id3">
<caption><span class="caption-text">csv-example</span><a class="headerlink" href="#id3" title="Permalink to this table">¶</a></caption>
<colgroup>
<col width="50%" />
<col width="50%" />
</colgroup>
<thead valign="bottom">
<tr class="row-odd"><th class="head">Fullname</th>
<th class="head">Address</th>
</tr>
</thead>
<tbody valign="top">
<tr class="row-even"><td>User A</td>
<td>Lalitpur,</td>
</tr>
<tr class="row-odd"><td>User B</td>
<td>Kathmandu</td>
</tr>
</tbody>
</table>
</div>
<p><strong>CSV Example</strong>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="n">csv</span><span class="o">-</span><span class="n">table</span><span class="p">::</span> <span class="n">csv</span><span class="o">-</span><span class="n">example</span>
   <span class="p">:</span><span class="n">header</span><span class="p">:</span> <span class="s2">&quot;Fullname&quot;</span><span class="p">,</span> <span class="s2">&quot;Address&quot;</span>
   <span class="p">:</span><span class="n">widths</span><span class="p">:</span> <span class="mi">20</span><span class="p">,</span> <span class="mi">20</span>

   <span class="s2">&quot;User A&quot;</span><span class="p">,</span> <span class="s2">&quot;Lalitpur,&quot;</span>
   <span class="s2">&quot;User B&quot;</span><span class="p">,</span> <span class="s2">&quot;Kathmandu&quot;</span>
</pre></div>
</div>
</div>
<div class="section" id="hyperlinks">
<h2>Hyperlinks<a class="headerlink" href="#hyperlinks" title="Permalink to this headline">¶</a></h2>
<ul class="simple">
<li>External Links</li>
<li><dl class="first docutils">
<dt>Internal Links (Cross referencing locations)</dt>
<dd><ul class="first last">
<li>Implicit Links to Title</li>
<li>Explicit Links</li>
</ul>
</dd>
</dl>
</li>
</ul>
<div class="sidebar">
<p class="first sidebar-title">External Links</p>
<p><a class="reference external" href="http://www.sphinx-doc.org">http://www.sphinx-doc.org</a></p>
<p><a class="reference external" href="http://www.sphinx-doc.org">Sphinx Documentation</a></p>
<dl class="last docutils">
<dt><a class="reference external" href="http://www.sphinx-doc.org">sphinx docs</a></dt>
<dd></dd>
</dl>
</div>
<p><strong>External Links</strong></p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>`&lt;http://www.sphinx-doc.org&gt;`_

    `Sphinx Documentation &lt;http://www.sphinx-doc.org&gt;`_
(space between label and link name)

`sphinx docs`_
        .. _sphinx docs: http://www.sphinx-doc.org
</pre></div>
</div>
<div class="line-block">
<div class="line"><br /></div>
</div>
<div class="sidebar">
<p class="first sidebar-title">Internal Links</p>
<p><a class="reference internal" href="#hyperlinks">HyperLinks</a> <em>(Implicit Link to Title)</em></p>
<p><a class="reference internal" href="../sphinxTut/index.html#overview"><span class="std std-ref">Overview</span></a> <em>(Explicit Links)</em></p>
<p class="last"><a class="reference internal" href="../index.html#index"><span class="std std-ref">Sphinx documentation</span></a></p>
</div>
<p><strong>Implicit Links to Title</strong>
<em>(if title and links are within same rst file)</em>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>`Hyperlinks`_
</pre></div>
</div>
<p><strong>Explicit Links</strong>
<em>(label is to be defined at the top of documentation)</em>:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span><span class="o">..</span> <span class="n">_overview</span><span class="p">:</span>
</pre></div>
</div>
<p>Label can be referred in two ways:</p>
<div class="highlight-default notranslate"><div class="highlight"><pre><span></span>overview_ (link appeared as a label name)

:ref:`overview` (link appeared as a Title Name, &#39;ref&#39; is used to link external RST file)
</pre></div>
</div>
<div class="topic">
<p class="topic-title first">Example of substitution</p>
<p>Subsequent indented lines comprise
the body of the topic, and are
interpreted as body elements.</p>
</div>
<p>Some text that requires a footnote <a class="footnote-reference" href="#f1" id="id1">[1]</a> .</p>
<table class="hlist"><tr><td><ul class="simple">
<li>first item</li>
<li>second item</li>
</ul>
</td><td><ul class="simple">
<li>3d item</li>
<li>4th item</li>
</ul>
</td><td><ul class="simple">
<li>5th item</li>
<li>6th item</li>
</ul>
</td></tr></table>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Whatever:</th><td class="field-body">this is handy to create new field</td>
</tr>
<tr class="field-even field"><th class="field-name">nocomments:</th><td class="field-body">some contents</td>
</tr>
</tbody>
</table>
<p class="rubric">Footnotes</p>
<table class="docutils footnote" frame="void" id="f1" rules="none">
<colgroup><col class="label" /><col /></colgroup>
<tbody valign="top">
<tr><td class="label"><a class="fn-backref" href="#id1">[1]</a></td><td>Text of the first footnote.</td></tr>
</tbody>
</table>
<p>Read more: <a class="reference external" href="http://www.sphinx-doc.org/en/master/usage/restructuredtext/basics.html">reStructuredText</a></p>
</div>
</div>


           </div>
           
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
      
        <a href="../sphinxTut/render_pdf.html" class="btn btn-neutral" title="Render PDF from RST" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2018, Rijju Maharjan.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../',
            VERSION:'0.0.1',
            LANGUAGE:'None',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="../_static/jquery.js"></script>
      <script type="text/javascript" src="../_static/underscore.js"></script>
      <script type="text/javascript" src="../_static/doctools.js"></script>

  

  <script type="text/javascript" src="../_static/js/theme.js"></script>

  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>